/****************************************************************************\
*                                                                            *
*  FISH.CPP                                                                  *
*  FISHU.CPP                                                                 *
*                                                                            *
*  This program shows how to perform simple animation using Fastgraph for    *
*  Windows. Several types of tropical fish swim back and forth against a     *
*  coral reef background. The background image and fish sprites are stored   *
*  in standard pixel run (SPR) files.                                        *
*                                                                            *
*  The application window is initially set to 320x200 pixels, the same size  *
*  as the CORAL.SPR image. When the window size changes, the image is scaled *
*  to fill the window.                                                       *
*                                                                            *
\****************************************************************************/

#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("FishU.cpp", Form1);
USERES("Fish.res");
USELIB("FGWBC32.LIB");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
   try
   {
      Application->Initialize();
      Application->CreateForm(__classid(TForm1), &Form1);
		Application->Run();
   }
   catch (Exception &exception)
   {
      Application->ShowException(&exception);
   }
   return 0;
}
//---------------------------------------------------------------------------
